package net.wanji.opt.service;

import net.wanji.common.dto.CrossIdDTO;
import net.wanji.opt.bo.GreenwaveIdBO;
import net.wanji.opt.dto.trend.AbnormalCrossListDTO;
import net.wanji.opt.dto.trend.GreenwaveListDTO;
import net.wanji.opt.vo.*;

import java.text.ParseException;
import java.util.Date;
import java.util.List;

/**
 * @date 2023/1/12 15:12
 * @desc 态势监测接口服务
 */
public interface TrendService {

    List<GreenwaveListVO> greenwaveList(GreenwaveListDTO greenwaveListDTO);

    GreenwaveStats buildGreenwaveStats(List<GreenwaveListVO> greenwaveListVOList);

    AbnormalCrossVO abnormalCrossList(AbnormalCrossListDTO abnormalCrossListDTO);

    AbnormalCrossDetailVO abnormalCrossDetail(CrossIdDTO crossIdDTO);

    List<EventAlarmVO> eventAlarm(Date todayTime) throws ParseException;

    List<GreenWaveCrossMonitorVO> greenwaveCrossMonitor(GreenwaveIdBO greenwaveIdBO);

    List<GreenWaveRunMonitorVO> greenwaveRunMonitor(GreenwaveIdBO greenwaveIdBO);
}
